------------------------------------------------------------
-- VHDL FPGAPowerTiming2
-- 2007 6 5 15 31 43
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2004 Altium Limited"
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGAPowerTiming2
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

--synthesis translate_off
Library GENERIC_LIB;
Use     GENERIC_LIB.all;

--synthesis translate_on
Entity FPGAPowerTiming2 Is
  port
  (
    CFG_CLK : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=CFG_CLK
    CFG_CS  : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=CFG_CS
    CFG_SI  : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=CFG_SI
    CFG_SO  : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=CFG_SO
    CFG_WP  : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=CFG_WP
    CLK     : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=CLK
    FAIL    : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=FAIL
    PWRSYNC : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=PWRSYNC
    S1      : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=S1
    S2      : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=S2
    S3      : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=S3
    S4      : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=S4
    S5      : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=S5
    S6      : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=S6
    S7      : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=S7
    S8      : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=S8
    S9      : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=S9
    S10     : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=S10
    S11     : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=S11
    S12     : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=S12
    S13     : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=S13
    S14     : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=S14
    S15     : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=S15
    S16     : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=S16
    SW      : In    STD_LOGIC_VECTOR(8 DOWNTO 1);            -- ObjectKind=Port|PrimaryId=SW[8..1]
    SYNCLK  : Out   STD_LOGIC                                -- ObjectKind=Port|PrimaryId=SYNCLK
  );
  attribute MacroCell : boolean;

End FPGAPowerTiming2;
------------------------------------------------------------

------------------------------------------------------------
architecture structure of FPGAPowerTiming2 is
   Component AND8B                                           -- ObjectKind=Part|PrimaryId=U29|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(7 downto 0);                -- ObjectKind=Pin|PrimaryId=U29-I[7..0]
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U29-O
      );
   End Component;

   Component AND8S                                           -- ObjectKind=Part|PrimaryId=U26|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U26-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U26-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U26-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U26-I3
        I4 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U26-I4
        I5 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U26-I5
        I6 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U26-I6
        I7 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U26-I7
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U26-O
      );
   End Component;

   Component BUFG                                            -- ObjectKind=Part|PrimaryId=U56|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U56-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U56-O
      );
   End Component;

   Component CB4CLEB                                         -- ObjectKind=Part|PrimaryId=U63|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U63-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U63-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U63-CEO
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U63-CLR
        D   : in  STD_LOGIC_VECTOR(3 downto 0);              -- ObjectKind=Pin|PrimaryId=U63-D[3..0]
        L   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U63-L
        Q   : out STD_LOGIC_VECTOR(3 downto 0);              -- ObjectKind=Pin|PrimaryId=U63-Q[3..0]
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U63-TC
      );
   End Component;

   Component CB8CLEB                                         -- ObjectKind=Part|PrimaryId=U66|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U66-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U66-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U66-CEO
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U66-CLR
        D   : in  STD_LOGIC_VECTOR(7 downto 0);              -- ObjectKind=Pin|PrimaryId=U66-D[7..0]
        L   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U66-L
        Q   : out STD_LOGIC_VECTOR(7 downto 0);              -- ObjectKind=Pin|PrimaryId=U66-Q[7..0]
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U66-TC
      );
   End Component;

   Component CB16CLEB                                        -- ObjectKind=Part|PrimaryId=U65|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U65-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U65-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U65-CEO
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U65-CLR
        D   : in  STD_LOGIC_VECTOR(15 downto 0);             -- ObjectKind=Pin|PrimaryId=U65-D[15..0]
        L   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U65-L
        Q   : out STD_LOGIC_VECTOR(15 downto 0);             -- ObjectKind=Pin|PrimaryId=U65-Q[15..0]
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U65-TC
      );
   End Component;

   Component FDN                                             -- ObjectKind=Part|PrimaryId=U57|SecondaryId=1
      port
      (
        C  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U57-C
        D  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U57-D
        Q  : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U57-Q
        QN : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U57-QN
      );
   End Component;

   Component INV                                             -- ObjectKind=Part|PrimaryId=U30|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U30-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U30-O
      );
   End Component;

   Component NOR4S                                           -- ObjectKind=Part|PrimaryId=U54|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U54-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U54-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U54-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U54-I3
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U54-O
      );
   End Component;

   Component OR2S                                            -- ObjectKind=Part|PrimaryId=U55|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U55-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U55-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U55-O
      );
   End Component;


    Signal NamedSignal_C           : STD_LOGIC_VECTOR(27 downto 0); -- ObjectKind=Net|PrimaryId=C[19..0]
    Signal NamedSignal_CFG_CLK     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_SI
    Signal NamedSignal_CFG_CS      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_SI
    Signal NamedSignal_CFG_SI      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_SI
    Signal NamedSignal_CFG_SO      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_SO
    Signal NamedSignal_CFG_WP      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_WP
    Signal NamedSignal_FAIL        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SYNCLK
    Signal NamedSignal_GND1_BUS    : STD_LOGIC_VECTOR(27 downto 0); -- ObjectKind=Net|PrimaryId=C[27..0]
    Signal NamedSignal_JoinB_JB_C1 : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=NetU29_I[7..0]
    Signal NamedSignal_PRE         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PRE
    Signal NamedSignal_PWRSYNC     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PWRSYNC
    Signal NamedSignal_S1          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=S1
    Signal NamedSignal_S3          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=S3
    Signal NamedSignal_S4          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=S4
    Signal NamedSignal_S5          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=S5
    Signal NamedSignal_S6          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=S6
    Signal NamedSignal_S7          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=S7
    Signal NamedSignal_S8          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=S8
    Signal NamedSignal_SW          : STD_LOGIC_VECTOR(8 downto 1); -- ObjectKind=Net|PrimaryId=SW[8..1]
    Signal NamedSignal_SYNCLK      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SYNCLK
    Signal PinSignal_U26_O         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_WP
    Signal PinSignal_U27_O         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PWRSYNC
    Signal PinSignal_U29_O         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SYNCLK
    Signal PinSignal_U30_O         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_SI
    Signal PinSignal_U54_O         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU54_O
    Signal PinSignal_U55_O         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU55_O
    Signal PinSignal_U56_O         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU56_O
    Signal PinSignal_U57_Q         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU57_Q
    Signal PinSignal_U58_Q         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU58_Q
    Signal PinSignal_U58_QN        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU55_I1
    Signal PinSignal_U59_Q         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU54_I2
    Signal PinSignal_U60_Q         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BY16
    Signal PinSignal_U61_Q         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU54_I0
    Signal PinSignal_U61_QN        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU60_D
    Signal PinSignal_U62_O         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PRE
    Signal PinSignal_U63_TC        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU54_I3
    Signal PinSignal_U64_O         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU63_CE
    Signal PinSignal_U65_CEO       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU65_CEO
    Signal PinSignal_U65_D         : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=C[19..0]
    Signal PinSignal_U66_CEO       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU63_L
    Signal PinSignal_U66_D         : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=C[27..0]
    Signal PinSignal_U67_O         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1HZ
    Signal PowerSignal_GND         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

begin
    U67 : INV                                                -- ObjectKind=Part|PrimaryId=U67|SecondaryId=1
      Port Map
      (
        I => PinSignal_U66_CEO,                              -- ObjectKind=Pin|PrimaryId=U67-I
        O => PinSignal_U67_O                                 -- ObjectKind=Pin|PrimaryId=U67-O
      );

    U66 : CB8CLEB                                            -- ObjectKind=Part|PrimaryId=U66|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_PRE,                              -- ObjectKind=Pin|PrimaryId=U66-C
        CE  => PinSignal_U65_CEO,                            -- ObjectKind=Pin|PrimaryId=U66-CE
        CEO => PinSignal_U66_CEO,                            -- ObjectKind=Pin|PrimaryId=U66-CEO
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U66-CLR
        D   => PinSignal_U66_D,                              -- ObjectKind=Pin|PrimaryId=U66-D[7..0]
        L   => PinSignal_U66_CEO                             -- ObjectKind=Pin|PrimaryId=U66-L
      );

    U65 : CB16CLEB                                           -- ObjectKind=Part|PrimaryId=U65|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_PRE,                              -- ObjectKind=Pin|PrimaryId=U65-C
        CE  => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U65-CE
        CEO => PinSignal_U65_CEO,                            -- ObjectKind=Pin|PrimaryId=U65-CEO
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U65-CLR
        D   => PinSignal_U65_D,                              -- ObjectKind=Pin|PrimaryId=U65-D[15..0]
        L   => PinSignal_U66_CEO                             -- ObjectKind=Pin|PrimaryId=U65-L
      );

    U64 : INV                                                -- ObjectKind=Part|PrimaryId=U64|SecondaryId=1
      Port Map
      (
        I => PinSignal_U63_TC,                               -- ObjectKind=Pin|PrimaryId=U64-I
        O => PinSignal_U64_O                                 -- ObjectKind=Pin|PrimaryId=U64-O
      );

    U63 : CB4CLEB                                            -- ObjectKind=Part|PrimaryId=U63|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_PRE,                              -- ObjectKind=Pin|PrimaryId=U63-C
        CE  => PinSignal_U64_O,                              -- ObjectKind=Pin|PrimaryId=U63-CE
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U63-CLR
        D   => NamedSignal_C(3 downto 0),                    -- ObjectKind=Pin|PrimaryId=U63-D[3..0]
        L   => PinSignal_U66_CEO,                            -- ObjectKind=Pin|PrimaryId=U63-L
        TC  => PinSignal_U63_TC                              -- ObjectKind=Pin|PrimaryId=U63-TC
      );

    U62 : BUFG                                               -- ObjectKind=Part|PrimaryId=U62|SecondaryId=1
      Port Map
      (
        I => PinSignal_U60_Q,                                -- ObjectKind=Pin|PrimaryId=U62-I
        O => PinSignal_U62_O                                 -- ObjectKind=Pin|PrimaryId=U62-O
      );

    U61 : FDN                                                -- ObjectKind=Part|PrimaryId=U61|SecondaryId=1
      Port Map
      (
        C  => PinSignal_U59_Q,                               -- ObjectKind=Pin|PrimaryId=U61-C
        D  => PinSignal_U60_Q,                               -- ObjectKind=Pin|PrimaryId=U61-D
        Q  => PinSignal_U61_Q,                               -- ObjectKind=Pin|PrimaryId=U61-Q
        QN => PinSignal_U61_QN                               -- ObjectKind=Pin|PrimaryId=U61-QN
      );

    U60 : FDN                                                -- ObjectKind=Part|PrimaryId=U60|SecondaryId=1
      Port Map
      (
        C => PinSignal_U59_Q,                                -- ObjectKind=Pin|PrimaryId=U60-C
        D => PinSignal_U61_QN,                               -- ObjectKind=Pin|PrimaryId=U60-D
        Q => PinSignal_U60_Q                                 -- ObjectKind=Pin|PrimaryId=U60-Q
      );

    U59 : FDN                                                -- ObjectKind=Part|PrimaryId=U59|SecondaryId=1
      Port Map
      (
        C => PinSignal_U56_O,                                -- ObjectKind=Pin|PrimaryId=U59-C
        D => PinSignal_U58_Q,                                -- ObjectKind=Pin|PrimaryId=U59-D
        Q => PinSignal_U59_Q                                 -- ObjectKind=Pin|PrimaryId=U59-Q
      );

    U58 : FDN                                                -- ObjectKind=Part|PrimaryId=U58|SecondaryId=1
      Port Map
      (
        C  => PinSignal_U56_O,                               -- ObjectKind=Pin|PrimaryId=U58-C
        D  => PinSignal_U57_Q,                               -- ObjectKind=Pin|PrimaryId=U58-D
        Q  => PinSignal_U58_Q,                               -- ObjectKind=Pin|PrimaryId=U58-Q
        QN => PinSignal_U58_QN                               -- ObjectKind=Pin|PrimaryId=U58-QN
      );

    U57 : FDN                                                -- ObjectKind=Part|PrimaryId=U57|SecondaryId=1
      Port Map
      (
        C => PinSignal_U56_O,                                -- ObjectKind=Pin|PrimaryId=U57-C
        D => PinSignal_U55_O,                                -- ObjectKind=Pin|PrimaryId=U57-D
        Q => PinSignal_U57_Q                                 -- ObjectKind=Pin|PrimaryId=U57-Q
      );

    U56 : BUFG                                               -- ObjectKind=Part|PrimaryId=U56|SecondaryId=1
      Port Map
      (
        I => S2,                                             -- ObjectKind=Pin|PrimaryId=U56-I
        O => PinSignal_U56_O                                 -- ObjectKind=Pin|PrimaryId=U56-O
      );

    U55 : OR2S                                               -- ObjectKind=Part|PrimaryId=U55|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U54_O,                               -- ObjectKind=Pin|PrimaryId=U55-I0
        I1 => PinSignal_U58_QN,                              -- ObjectKind=Pin|PrimaryId=U55-I1
        O  => PinSignal_U55_O                                -- ObjectKind=Pin|PrimaryId=U55-O
      );

    U54 : NOR4S                                              -- ObjectKind=Part|PrimaryId=U54|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U61_Q,                               -- ObjectKind=Pin|PrimaryId=U54-I0
        I1 => PinSignal_U60_Q,                               -- ObjectKind=Pin|PrimaryId=U54-I1
        I2 => PinSignal_U59_Q,                               -- ObjectKind=Pin|PrimaryId=U54-I2
        I3 => PinSignal_U63_TC,                              -- ObjectKind=Pin|PrimaryId=U54-I3
        O  => PinSignal_U54_O                                -- ObjectKind=Pin|PrimaryId=U54-O
      );

    U30 : INV                                                -- ObjectKind=Part|PrimaryId=U30|SecondaryId=1
      Port Map
      (
        I => NamedSignal_CFG_SO,                             -- ObjectKind=Pin|PrimaryId=U30-I
        O => PinSignal_U30_O                                 -- ObjectKind=Pin|PrimaryId=U30-O
      );

    U29 : AND8B                                              -- ObjectKind=Part|PrimaryId=U29|SecondaryId=1
      Port Map
      (
        I => NamedSignal_JoinB_JB_C1,                        -- ObjectKind=Pin|PrimaryId=U29-I[7..0]
        O => PinSignal_U29_O                                 -- ObjectKind=Pin|PrimaryId=U29-O
      );

    U27 : AND8S                                              -- ObjectKind=Part|PrimaryId=U27|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_S4,                                -- ObjectKind=Pin|PrimaryId=U27-I0
        I1 => NamedSignal_S3,                                -- ObjectKind=Pin|PrimaryId=U27-I1
        I2 => NamedSignal_S5,                                -- ObjectKind=Pin|PrimaryId=U27-I2
        I3 => NamedSignal_S6,                                -- ObjectKind=Pin|PrimaryId=U27-I3
        I4 => NamedSignal_S1,                                -- ObjectKind=Pin|PrimaryId=U27-I4
        I5 => NamedSignal_S7,                                -- ObjectKind=Pin|PrimaryId=U27-I5
        I6 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U27-I6
        I7 => NamedSignal_S8,                                -- ObjectKind=Pin|PrimaryId=U27-I7
        O  => PinSignal_U27_O                                -- ObjectKind=Pin|PrimaryId=U27-O
      );

    U26 : AND8S                                              -- ObjectKind=Part|PrimaryId=U26|SecondaryId=1
      Port Map
      (
        I0 => S9,                                            -- ObjectKind=Pin|PrimaryId=U26-I0
        I1 => S10,                                           -- ObjectKind=Pin|PrimaryId=U26-I1
        I2 => S11,                                           -- ObjectKind=Pin|PrimaryId=U26-I2
        I3 => S12,                                           -- ObjectKind=Pin|PrimaryId=U26-I3
        I4 => S13,                                           -- ObjectKind=Pin|PrimaryId=U26-I4
        I5 => S14,                                           -- ObjectKind=Pin|PrimaryId=U26-I5
        I6 => S15,                                           -- ObjectKind=Pin|PrimaryId=U26-I6
        I7 => S16,                                           -- ObjectKind=Pin|PrimaryId=U26-I7
        O  => PinSignal_U26_O                                -- ObjectKind=Pin|PrimaryId=U26-O
      );

    -- Signal Assignments
    ---------------------
    CFG_CLK                 <= NamedSignal_CFG_CLK; -- ObjectKind=Net|PrimaryId=CFG_SI
    CFG_CS                  <= NamedSignal_CFG_CS; -- ObjectKind=Net|PrimaryId=CFG_SI
    CFG_SI                  <= NamedSignal_CFG_SI; -- ObjectKind=Net|PrimaryId=CFG_SI
    CFG_WP                  <= NamedSignal_CFG_WP; -- ObjectKind=Net|PrimaryId=CFG_WP
    FAIL                    <= NamedSignal_FAIL; -- ObjectKind=Net|PrimaryId=SYNCLK
    NamedSignal_C           <= NamedSignal_GND1_BUS; -- ObjectKind=Net|PrimaryId=C[27..0]
    NamedSignal_CFG_CLK     <= PinSignal_U30_O; -- ObjectKind=Net|PrimaryId=CFG_SI
    NamedSignal_CFG_CS      <= PinSignal_U30_O; -- ObjectKind=Net|PrimaryId=CFG_SI
    NamedSignal_CFG_SI      <= PinSignal_U30_O; -- ObjectKind=Net|PrimaryId=CFG_SI
    NamedSignal_CFG_SO      <= CFG_SO; -- ObjectKind=Net|PrimaryId=CFG_SO
    NamedSignal_CFG_WP      <= PinSignal_U26_O; -- ObjectKind=Net|PrimaryId=CFG_WP
    NamedSignal_FAIL        <= PinSignal_U29_O; -- ObjectKind=Net|PrimaryId=SYNCLK
    NamedSignal_GND1_BUS    <= "0000000000000000000000000000"; -- ObjectKind=Net|PrimaryId=C[27..0]
    NamedSignal_JoinB_JB_C1 <= NamedSignal_SW;
    NamedSignal_PRE         <= PinSignal_U62_O; -- ObjectKind=Net|PrimaryId=PRE
    NamedSignal_PWRSYNC     <= PinSignal_U27_O; -- ObjectKind=Net|PrimaryId=PWRSYNC
    NamedSignal_S1          <= S1; -- ObjectKind=Net|PrimaryId=S1
    NamedSignal_S3          <= S3; -- ObjectKind=Net|PrimaryId=S3
    NamedSignal_S4          <= S4; -- ObjectKind=Net|PrimaryId=S4
    NamedSignal_S5          <= S5; -- ObjectKind=Net|PrimaryId=S5
    NamedSignal_S6          <= S6; -- ObjectKind=Net|PrimaryId=S6
    NamedSignal_S7          <= S7; -- ObjectKind=Net|PrimaryId=S7
    NamedSignal_S8          <= S8; -- ObjectKind=Net|PrimaryId=S8
    NamedSignal_SW          <= SW; -- ObjectKind=Net|PrimaryId=SW[8..1]
    NamedSignal_SYNCLK      <= PinSignal_U29_O; -- ObjectKind=Net|PrimaryId=SYNCLK
    PinSignal_U65_D         <= NamedSignal_C(19 downto 4); -- ObjectKind=Net|PrimaryId=C[19..0]
    PinSignal_U66_D         <= NamedSignal_C(27 downto 20); -- ObjectKind=Net|PrimaryId=C[27..0]
    PowerSignal_GND         <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC         <= '1'; -- ObjectKind=Net|PrimaryId=VCC
    PWRSYNC                 <= NamedSignal_PWRSYNC; -- ObjectKind=Net|PrimaryId=PWRSYNC
    SYNCLK                  <= NamedSignal_SYNCLK; -- ObjectKind=Net|PrimaryId=SYNCLK

end structure;
------------------------------------------------------------

